<?php
namespace PME\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;

class AppController {
    protected $dataSourceManager;
    protected $environment;
    
    public function __construct($dataSourceManager, $environment) {
        $this->dataSourceManager = $dataSourceManager;
        $this->environment = $environment;
    }
    
    public function retornaCentralDefault(Request $request, Response $response) {
        $filterCriteria = new FilterCriteria('filial');
        $filterCriteria->addCondition('CDFILIAL', $this->environment->getCdFilial());
        $filterCriteria->addCondition('NRORG', $this->environment->getNrOrg());
        $filterCriteria->addCondition('IDTPFILIALCENT', 'C');

        $dataSetLogged = $this->dataSourceManager->findBy($filterCriteria);
        $rowsLogged = $dataSetLogged->getRows();
        if (count($rowsLogged) > 0) {
            $rows = $rowsLogged[0];
        } else {
            $filterCriteria = new FilterCriteria('filial');
            $filterCriteria->addCondition('CDFILIAL', $this->environment->getCdFilial());
            $filterCriteria->addCondition('NRORG', $this->environment->getNrOrg());

            $dataSet = $this->dataSourceManager->findBy($filterCriteria);
            $rows = $dataSet->getRows();
          
            if($rows[0]['CDFILCENTPME']) {
                $filterCriteria = new FilterCriteria('filial');
                $filterCriteria->addCondition('CDFILIAL', $rows[0]['CDFILCENTPME']);
                $filterCriteria->addCondition('NRORG', $this->environment->getNrOrg());
                $filterCriteria->addCondition('IDTPFILIALCENT', 'C');
    
                $dataSet = $this->dataSourceManager->findBy($filterCriteria);
                $rows = $dataSet->getRows();
                if (count($rows) > 0) {
                    $rows = $dataSet->getRows()[0];    
                } else {
                    $rows = array();
                }
            }
        }
         $response->addDataSet(new DataSet('central', $rows));   
    }
}