<?php

/**
 * GepObservopersoli
 *
 * This class has been auto-generated by the Doctrine ORM Framework
 *
 * @package    DbModel
 * @subpackage Model
 * @author     walterluiz - 21/02/2011 09:38:47 <development@setforms.com>
 * @version    Release: SVN: $Id: Builder.php 6508 2009-10-14 06:28:49Z jwage $
 */
class GepObservopersoli extends DaoGepObservopersoli
{


    /**
     * Descricao: retorna a observacao feita por um operador na solicitacao.
     *
     * @param integer $nrorg      Numero da organizacao.
     * @param integer $nrsoli     Numero da solicitacao.
     * @param integer $nrparcoper Numero do operador da observacao.
     *
     * @return Ambigous <mixed, NULL>|NULL
     */
    public static function buscaGepObservopersoli($nrorg, $nrsoli, $nrparcoper){
        try {
            $obj = self::getObjectByWhere(
                'NRORG = ? AND NRSOLICITACAO = ? AND NRPARCOPERADOR = ?',
                array(
                 $nrorg,
                 $nrsoli,
                 $nrparcoper,
                )
            );
            return $obj;
        } catch (Exception $e) {
            return null;
        }
    }


    /**
     * Atualiza os registros de observacao do operador.
     *
     * @param integer $nrorg      Numero da organizacao.
     * @param integer $nrsoli     Numero da solicitacao.
     * @param integer $nrparcoper Numero do operador da observacao.
     * @param string  $observ     Observacao do operador.
     * @param string  $fonte      Configuracao da fonte da observacao.
     * @param integer $codigo     Cdigo da observacao.
     *
     * @return boolean
     */
    public static function modificaGepObservopersoli(
        $nrorg,
        $nrsoli,
        $nrparcoper,
        $observ,
        $fonte,
        $codigo
    ){
        try {
            $db = TkDbAdapter::getWorkConnection();
            $query = $db->createQuery()
                ->update('GEP_OBSERVOPERSOLI')
                ->set('TXOBSERVOPERSOLI', '\''.$observ.'\',')
                ->set('TXFONTEOBSERVOPER', '\''.$fonte.'\'')
                ->addWhere('NRSOLICITACAO = '.'\''.$nrsoli.'\'')
                ->addWhere('NRPARCOPERADOR = '.'\''.$nrparcoper.'\'')
                ->addWhere('NROBSERVOPERSOLI = '.'\''.$codigo.'\'')
                ->addWhere('NRORG = '.'\''.$nrorg.'\'');

            $row = $db->execute($query);
        }
        catch (Exception $e){
            showClassError($e, __FUNCTION__, __LINE__);
        }
        if ($row instanceof Doctrine_Adapter_Statement) {
            return true;
        } else {
            return false;
        }
    }


}