CREATE TABLE TIPOPREPAROTCO
( 
	NRTIPOPREPAROTCO 	NUMBER 			NOT NULL,
	NMTIPOPREPAROTCO 	VARCHAR2(50) 	NOT NULL,	
    NRORG 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 			VARCHAR2(1) 	DEFAULT 'S' NOT NULL,
		CONSTRAINT CKC_IDATIVO_TIPOPREPAROTCO CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 			DATE 			NULL,
	DTULTATU 			DATE 			NULL,
	NRORGINCLUSAO 		NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 		VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 		NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 		VARCHAR2(12) 	DEFAULT '1',
		CONSTRAINT PK_TIPOPREPAROTCO PRIMARY KEY (NRTIPOPREPAROTCO)
)
/ 


ALTER TABLE PRATO ADD NRTIPOPREPAROTCO NUMBER NULL
/

ALTER TABLE PRATO
    ADD CONSTRAINT FKPLA01218TIPOPREPAROTCO FOREIGN KEY (NRTIPOPREPAROTCO)
       REFERENCES TIPOPREPAROTCO (NRTIPOPREPAROTCO)
/

CREATE INDEX PLA01218_FK ON PRATO (NRTIPOPREPAROTCO)
/

CREATE TABLE TABCORRPRODTCO
(
	NRTABCORRPRODTCO	NUMBER 			NOT NULL,
	NRGRUPOPRATO 		NUMBER 			NOT NULL,
	NRTIPOPREPAROTCO 	NUMBER 			NOT NULL,
	CDPRODUTO 			VARCHAR2(10) 	NULL,
	VRDEGELO 			FLOAT 			NOT NULL,
	VRLIMPEZA 			FLOAT 			NOT NULL,
	VRCOCCAO 			FLOAT 			NOT NULL,   
    NRORG 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 			VARCHAR2(1) 	DEFAULT 'S' NOT NULL,
		CONSTRAINT CKC_IDATIVO_TABCORRPRODTCO CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 			DATE 			NULL,
	DTULTATU 			DATE 			NULL,
	NRORGINCLUSAO 		NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 		VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 		NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 		VARCHAR2(12) 	DEFAULT '1',
		CONSTRAINT PK_TABCORRPRODTCO PRIMARY KEY (NRTABCORRPRODTCO),
		CONSTRAINT UN_TABCORRPRODTCO UNIQUE (NRGRUPOPRATO, NRTIPOPREPAROTCO, CDPRODUTO)
)
/

ALTER TABLE TABCORRPRODTCO
    ADD CONSTRAINT FKPLA01219GRUPOPRATO FOREIGN KEY (NRGRUPOPRATO)
       REFERENCES GRUPOPRATO (NRGRUPOPRATO)
/

CREATE INDEX PLA01219_FK ON TABCORRPRODTCO (NRGRUPOPRATO)
/

ALTER TABLE TABCORRPRODTCO
    ADD CONSTRAINT FKPLA01220TIPOPREPAROTCO FOREIGN KEY (NRTIPOPREPAROTCO)
       REFERENCES TIPOPREPAROTCO (NRTIPOPREPAROTCO)
/

CREATE INDEX PLA01220_FK ON TABCORRPRODTCO (NRTIPOPREPAROTCO)
/

ALTER TABLE TABCORRPRODTCO
    ADD CONSTRAINT FKPLA01221PRODUTO FOREIGN KEY (CDPRODUTO)
       REFERENCES PRODUTO (CDPRODUTO)
/

CREATE INDEX PLA01221_FK ON TABCORRPRODTCO (CDPRODUTO)
/
 
CREATE TABLE RELPORCIOGRTIPOPR
(
	NRRELPORCIOGRTIPOPR NUMBER 			NOT NULL,
	NRPORCIONAMENTO 	NUMBER 			NOT NULL,
	CDGRTIPOPR 			VARCHAR2(2)		NOT NULL,
    NRORG 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 			VARCHAR2(1) 	DEFAULT 'S' NOT NULL,
		CONSTRAINT CKC_IDATIVO_RELPORCIOGRTIPOPR CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 			DATE 			NULL,
	DTULTATU 			DATE 			NULL,
	NRORGINCLUSAO 		NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 		VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 		NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 		VARCHAR2(12) 	DEFAULT '1',
		CONSTRAINT PK_RELPORCIOGRTIPOPR PRIMARY KEY (NRRELPORCIOGRTIPOPR),
		CONSTRAINT UN_RELPORCIOGRTIPOPR UNIQUE (CDGRTIPOPR, NRPORCIONAMENTO)
)
/

ALTER TABLE RELPORCIOGRTIPOPR
    ADD CONSTRAINT FKPLA01222PORCIONAMENTO FOREIGN KEY (NRPORCIONAMENTO)
       REFERENCES PORCIONAMENTO (NRPORCIONAMENTO) ON DELETE CASCADE
/

CREATE INDEX PLA01222_FK ON RELPORCIOGRTIPOPR (NRPORCIONAMENTO)
/


ALTER TABLE RELPORCIOGRTIPOPR
    ADD CONSTRAINT FKPPLA01223GRTIPOPR FOREIGN KEY (CDGRTIPOPR)
       REFERENCES GRTIPOPR (CDGRTIPOPR) ON DELETE CASCADE
/

CREATE INDEX PLA01223_FK ON RELPORCIOGRTIPOPR (CDGRTIPOPR)