import {
  IEventParam,
} from '@zeedhi/core';

import {
  Button,
  ModalService,
  Modal,
} from '@zeedhi/common';

export class RelatoriosEmissaoCardController {
  private modalEmissao!: Modal;
  
  public async createModalEmissao() {
    this.modalEmissao = await ModalService.createFromJson('modals/emissaoCardFrame', true);
  }
  
  public cancelModalEmissao() {
    this.modalEmissao.hide();
  }
  
  public showModalEmissao({ component }: IEventParam<Button>) {
    this.createModalEmissao().then(() => {
      let namePath = '';
      
      if (component.name === 'cardDia') namePath = '/pme/relatorios/pme03100_emissao_card_dia';
      else if (component.name === 'cardSemana') namePath = '/pme/relatorios/pme01000_emissao_card_semana';
      else namePath = '/pme/relatorios/pme03000_emissao_card_periodo';
      
      this.modalEmissao.children[1].path = namePath;
      this.modalEmissao.show();
    });
  }
  
  public setfullscreenEmissao({ component }: IEventParam<Button>) {
    this.modalEmissao.fullscreen = !this.modalEmissao.fullscreen;
    this.modalEmissao.cssClass = this.modalEmissao.fullscreen ? 'fullscreen-fill-content' : 'modal-emissao-cardapio';
    
    component.iconName = (this.modalEmissao.fullscreen) ? 'mdi-fullscreen-exit' : 'mdi-fullscreen';
  }
}
